# SetGameScoreByChatId - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.games / SetGameScoreByChatId

# SetGameScoreByChatId

(common) `data class SetGameScoreByChatId : SetGameScore, MessageAction` (source)

### Constructors

(common)

#### <init>

`SetGameScoreByChatId(userId: UserId, score: Long, chatId: ChatId, messageId: MessageIdentifier, force: Boolean = false, disableEditMessage: Boolean = false)`

### Properties

(common)

#### chatId

`val chatId: ChatId`

(common)

#### disableEditMessage

`val disableEditMessage: Boolean`

(common)

#### force

`val force: Boolean`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### score

`val score: Long`

(common)

#### userId

`val userId: UserId`